package ru.dbotthepony.mc.otm.registry.data

import net.minecraft.core.registries.BuiltInRegistries
import net.neoforged.bus.api.IEventBus
import ru.dbotthepony.mc.otm.registry.MDeferredRegister
import ru.dbotthepony.mc.otm.worldgen.feature.BlackHolePlacerFeature

object MWorldGenFeatures {
	private val registry = MDeferredRegister(BuiltInRegistries.FEATURE)

	fun register(bus: IEventBus) {
		registry.register(bus)
	}

	val BLACK_HOLE_PLACER by registry.register("black_hole_placer") { BlackHolePlacerFeature }
}
